class Cell {
    private int row, col ;
    private boolean empty ;

    public Cell (int row, int col) {
        this.row = row ;
        this.col = col ;
        this.empty = true ;
    }
    public Cell(Cell c){
        if(c == null) return;
        this.row = c.getRow();
        this.col = c.col;
        this.empty = c.empty;
    }

    public int getRow() {
        return row ;
    }

    public int getCol() {
        return col ;
    }

    public boolean isEmpty() {
        return empty ;
    }

    public void setRow (int row) {
        this.row = row ;
    }

    public void setCol (int col) {
        this.col = col ;
    }

    public void setEmpty(boolean empty) {
        this.empty = empty ;
    }

}

enum PieceColor {
    BLACK, WHITE
}
