import javax.swing.*;
import java.awt.*;

public class ChessGameGUI extends JFrame {
    public static void main(String args[]){
        new ChessGameGUI();
    }

    public ChessGameGUI(){
        super();
        JPanel parent = new JPanel();
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(1300,610);
        parent.setSize(1300,610);
        setResizable(false);
        parent.setLayout(new BoxLayout(parent,BoxLayout.X_AXIS));
        //-----------------------------------------
        JPanel whiteRemovePanel = new JPanel();
        whiteRemovePanel.setLayout(new GridLayout(8,2));
        whiteRemovePanel.setSize(200,600);
        //-----------------------------------------
        JPanel turnPanel = new JPanel();
        //-----------------------------------------
        JPanel blackRemovePanel = new JPanel();
        blackRemovePanel.setLayout(new GridLayout(8,2));
        blackRemovePanel.setSize(200,600);
        //-----------------------------------------

        JPanel gameBoard = new ChessBoardGUI(whiteRemovePanel,blackRemovePanel,turnPanel,this);
        gameBoard.setSize(800,600);
        parent.add(whiteRemovePanel);
        parent.add(turnPanel);
        parent.add(blackRemovePanel);
        parent.add(gameBoard);
        add(parent);
        setVisible(true);
    }
}
